﻿@model  Select2PessoasIndicacoesViewModel
@if (Model.verTitulo)
{
    <label for="input-text-1">
        Indicado por:
    </label>
}

<div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5") @(Model.clasCor) limparTooltipChange" style="padding-left:inherit;@Model.margintopSel">
    <div id="@string.Concat(Model.idControleSelect2, "Container")" class="limparTooltipChange"></div>
</div>
<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2PessoasIndicacoes/ObterDescricoesPessoasIndicacoes")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMPESCTO";
                textoInicial = "Selecione a Indicação";
                jsonTexto = "NOMPESCTO";
                jsonValor = "NUMSEQPESIND";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
            }
            inicializar(null);
        }
    });

</script>